//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#ifndef CURSESINPUTHANDLER_H
#define CURSESINPUTHANDLER_H

#include <string>
#include <stdlib.h>
#include <iostream>
#include <sstream>
#include <sys/ioctl.h>

#include "TCanvas.h"

#include "EpsParser.h"

#include "CursesOutputHandler.h"

class CursesInputHandler
{
public:
  CursesInputHandler();
  ~CursesInputHandler();

  void initialize(CursesOutputHandler* coh);
  void Cycle();
  void Add();
  void Help();
  void MoveSeperatorLeft();
  void MoveSeperatorRight();
  void PanelEntryInteraction();
  void Resize();
  void Save();
  void ScrollDown();
  void ScrollUp();


  void Start();
private:
  CursesOutputHandler* m_coh;
  TH1* m_hBufferHist;
  int m_iCursorX;
  int m_iCursorY;
};

#endif //CURSESINPUTHANDLER_H

