//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#ifndef EPSCOLOR_H
#define EPSCOLOR_H

#include <iostream>
#include <cstring>

class EpsColor
{
public:
  EpsColor();
  virtual ~EpsColor();

  int GetColor();
  // int GetColorFG();
  // int GetColorBG();
  void SetColor(int c);
  void SetColorRGB(double r, double g, double b, const char* opt = "");
  // void SetColorFG(int c);
  // void SetColorBG(int c);
  // void SwitchFGBF();
  void UpdateColor();

  friend std::ostream& operator<<(std::ostream& os, const EpsColor& ec);

private:
  int m_iR;
  int m_iG;
  int m_iB;

  int m_iColorBg;
  int m_iColorFg;
  int m_iColor;
};

std::ostream& operator<<(std::ostream& os, EpsColor& ec);

#endif //EPSCOLOR_H
