//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#ifndef EPSLINE_H
#define EPSLINE_H

#include <iostream>
#include <cstdlib>
#define _USE_MATH_DEFINES
#include <cmath>
#include <ncurses.h>

#ifndef EPSCOLOR_H
#include "EpsColor.h"
#endif //EPSCOLOR_H

#ifndef EPSOBJECT_H
#include "EpsObject.h"
#endif //EPSOBJECT_H

class EpsLine : public EpsObject
{
public:
  EpsLine();
  EpsLine(double x1,double y1,double x2,double y2,int color);
  virtual ~EpsLine();

  void initialize(double x1,double y1,double x2,double y2, int color);

  void Draw(WINDOW* w, int eps_xres,int eps_yres);

protected:
  double m_dX1;
  double m_dY1;
  double m_dX2;
  double m_dY2;
  double m_dDX;
  double m_dDY;
  int m_iColor;
  const char* m_cSymbol;
};

#endif //EPSLINE_H
