//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#ifndef EPSPARSER_H
#define EPSPARSER_H

#include <fstream>
#include <map>
#include <sstream>

#include "EpsPolygon.h"
#include "EpsCommands.h"

class EpsParser
{
public:
  EpsParser();
  EpsParser(const char* fName);
  virtual ~EpsParser();

  //void initialize(double x1,double y1,double x2,double y2,EpsColor* ec);

  void Draw(WINDOW* w,int eps_xres,int eps_yres);
  void Draw(WINDOW* w);


  void ReadFile(const char* fName);
  void ReadEpsResolution();
  void GetListOfCommands();
  void GetDictOfDict();
  void ReplaceDictCommandsWithEpsCommands();
  void GetListOfObjects();

protected:

public:
  std::list<std::string> FStrings;
  std::list<std::string> ObjStrings;
  std::vector<std::string> ListOfCommands;
  std::map<std::string,std::string> DictOfDict;
  std::vector<double> dStack;
  std::list<std::string> sStack;
  std::vector<EpsPolygon*> ListOfObjects;
  std::vector<EpsCoordinateList*> ListOfCoordinateObjects;
  int m_iEpsXres;
  int m_iEpsYres;
};

extern std::vector<std::string> &split(const std::string &s, char delim, std::vector<std::string> &elems, bool noEmpty);

extern std::vector<std::string> split(const std::string &s, char delim, bool noEmpty);

#endif // EPSPARSER_H

