//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#include "EpsColor.h"

EpsColor::EpsColor()
{
  m_iR = 0;
  m_iG = 0;
  m_iB = 0;
  m_iColorBg = 0;
  m_iColorFg = 0;
  m_iColor = 0;
}

EpsColor::~EpsColor()
{
}

int EpsColor::GetColor()
{
  return m_iColor;
}

// int EpsColor::GetColorFG(){
//   return m_iColorFg;
// }

// int EpsColor::GetColorBG(){
//   return m_iColorBg;
// }

void EpsColor::SetColor(int c)
{
  m_iColor = c;
}

void EpsColor::SetColorRGB(double r, double g, double b, const char* opt)
{
  m_iR = int(r+.5);
  m_iG = int(g+.5);
  m_iB = int(b+.5);
  if (strcmp(opt,"BG"))
    m_iColorBg = m_iR+m_iG*2+m_iB*4;
  else
    m_iColorFg = m_iR+m_iG*2+m_iB*4;
  UpdateColor();
}

// void EpsColor::SetColorFG(int c){
//   m_iColorFg = c;
//   UpdateColor();
// }

// void EpsColor::SetColorBG(int c){
//   m_iColorBg = c;
//   UpdateColor();
// }

// void EpsColor::SwitchFGBF(){
//   int fg = GetColorBG();
//   int bg = GetColorFG();
//   SetColorBG(bg);
//   SetColorFG(fg);
//   UpdateColor();
// }

void EpsColor::UpdateColor()
{
  m_iColor = m_iColorFg + m_iColorBg * 8;
}

std::ostream& operator<<(std::ostream& os, EpsColor& ec)
{
  os << ec.GetColor();
  return os;
}
