//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#include "ROOTPanelEntry.h"

ROOTPanelEntry::ROOTPanelEntry()
  : m_Parent(0)
  , m_bFold(true)
  , m_bIsFolder(false)
  , m_iColor(0)
{
}

ROOTPanelEntry::~ROOTPanelEntry()
{
}

void ROOTPanelEntry::AddChild(ROOTPanelEntry* child)
{
  m_vChildren.push_back(child);
}

ROOTPanelEntry* ROOTPanelEntry::GetChild(size_t i)
{
  return m_vChildren.at(i);
}

std::vector<ROOTPanelEntry*> ROOTPanelEntry::GetChildren()
{
  return m_vChildren;
}

int ROOTPanelEntry::GetColor()
{
  return m_iColor;
}

bool ROOTPanelEntry::GetFold()
{
  return m_bFold;
}

bool ROOTPanelEntry::GetIsFolder()
{
  return m_bIsFolder;
}

TObject* ROOTPanelEntry::GetObject()
{
  return m_oObj;
}

ROOTPanelEntry* ROOTPanelEntry::GetParent()
{
  return m_Parent;
}

std::string ROOTPanelEntry::GetName()
{
  return m_Name;
}

void ROOTPanelEntry::SetColor(int color)
{
  m_iColor = color;
}

void ROOTPanelEntry::SetFold(bool fold)
{
  m_bFold = fold;
}

void ROOTPanelEntry::SetIsFolder(bool folder)
{
  m_bIsFolder = folder;
}

void ROOTPanelEntry::SetObject(TObject* obj)
{
  m_oObj = obj;
}

void ROOTPanelEntry::SetParent(ROOTPanelEntry* parent)
{
  m_Parent = parent;
}

void ROOTPanelEntry::SetName(std::string name)
{
  m_Name = name;
}

void ROOTPanelEntry::ToggleFold()
{
  m_bFold = !m_bFold;
}

std::ostream& operator<<(std::ostream& os, ROOTPanelEntry& rpe)
{
  os << rpe.GetName();
  for(size_t i=0; i!=rpe.GetChildren().size(); i++)
    os << "\n" << *(rpe.GetChild(i));
  return os;
}
